Commit b38337ac authored by moshe weitzman's avatar moshe weitzman
Browse files

No need for Drush installation in drupalci.yml anymore.

parent d93e81a6
......@@ -42,7 +42,7 @@ for more info.
#### Testing
- [CI docs](https://gitlab.com/drupalspoons/webmasters/-/blob/master/docs/ci.md) give info on running tests.
- See [develCommandsTest.php](tests/src/Functional/DevelCommandsTest.php) for an example of Drush command testing. This uses Drush's own test framework, based on PHPUnit.
- See [develCommandsTest.php](tests/src/Functional/DevelCommandsTest.php) for an example of Drush command testing. This uses [Drush Test Traits](https://www.drush.org/contribute/#drush-test-traits).
#### Version Compatibility
| Devel version | Drupal core | PHP | Drush |
......
......@@ -15,12 +15,3 @@ build:
csslint:
eslint:
phpcs:
testing:
container_command:
commands:
- "cd ${SOURCE_DIR} && sudo -u www-data composer require drush/drush:^10"
run_tests.standard:
types: 'Simpletest,PHPUnit-Unit,PHPUnit-Kernel,PHPUnit-Functional'
run_tests.js:
concurrency: 1
types: 'PHPUnit-FunctionalJavascript'
......@@ -6,10 +6,7 @@ use Drupal\Tests\BrowserTestBase;
use Drush\TestTraits\DrushTestTrait;
/**
* Note: Drush must be installed. See
* https://cgit.drupalcode.org/devel/tree/drupalci.yml?h=8.x-2.x and its docs
* at
* https://www.drupal.org/drupalorg/docs/drupal-ci/customizing-drupalci-testing-for-projects.
* Note: Drush must be installed. Add it to your require-dev in composer.json.
*/
/**
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment